LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Fields
_future_prefs Struct Reference

`#include <preferences.h>`

## Data Fields
char | tmpdir [PATH_MAX]
char | theme [64]
char | vpp_name [64]
| new video playback plugin More...
int | vpp_fixed_fps_numer
int | vpp_fixed_fps_denom
double | vpp_fixed_fpsd
int | vpp_palette
int | vpp_YUV_clamping
int | vpp_fwidth
int | vpp_fheight
int | vpp_argc
char ** | vpp_argv
_encoder | encoder
boolean | show_recent
boolean | show_tool
boolean | osc_start
int | startup_interface
uint32_t | jack_opts
int | nfx_threads
LiVESList * | disabled_decoders
LiVESList * | disabled_decoders_new

## Field Documentation

LiVESList* _future_prefs::disabled_decoders

LiVESList* _future_prefs::disabled_decoders_new

_encoder _future_prefs::encoder

uint32_t _future_prefs::jack_opts

int _future_prefs::nfx_threads

boolean _future_prefs::osc_start

boolean _future_prefs::show_recent

boolean _future_prefs::show_tool

int _future_prefs::startup_interface

char _future_prefs::theme[64]

char _future_prefs::tmpdir[PATH_MAX]

int _future_prefs::vpp_argc

char** _future_prefs::vpp_argv

int _future_prefs::vpp_fheight

int _future_prefs::vpp_fixed_fps_denom

int _future_prefs::vpp_fixed_fps_numer

double _future_prefs::vpp_fixed_fpsd

int _future_prefs::vpp_fwidth

char _future_prefs::vpp_name[64]

new video playback plugin

int _future_prefs::vpp_palette

int _future_prefs::vpp_YUV_clamping

The documentation for this struct was generated from the following file:

- src/preferences.h